org.modeshape.jcr.federation.spi

## Class Connector.ExtraProperties

- java.lang.Object
- - org.modeshape.jcr.federation.spi.Connector.ExtraProperties

- Enclosing class:
    Connector

      public final class Connector.ExtraProperties
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Connector.ExtraProperties(String id, boolean update)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connector.ExtraProperties` | `add(Property property)`
    `Connector.ExtraProperties` | `addAll(Map<Name,Property> properties)`
    `Connector.ExtraProperties` | `except(Name... names)`
    `Connector.ExtraProperties` | `except(String... names)`
    `Connector.ExtraProperties` | `exceptPrimaryType()`
    `Connector.ExtraProperties` | `remove(Name propertyName)`
    `Connector.ExtraProperties` | `remove(String propertyName)`
    `void` | `save()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Connector.ExtraProperties

          protected Connector.ExtraProperties(String id,
                                   boolean update)

  - ### Method Detail

    - #### add

          public Connector.ExtraProperties add(Property property)

    - #### addAll

          public Connector.ExtraProperties addAll(Map<Name,Property> properties)

    - #### remove

          public Connector.ExtraProperties remove(Name propertyName)

    - #### remove

          public Connector.ExtraProperties remove(String propertyName)

    - #### except

          public Connector.ExtraProperties except(Name... names)

    - #### except

          public Connector.ExtraProperties except(String... names)

    - #### exceptPrimaryType

          public Connector.ExtraProperties exceptPrimaryType()

    - #### save

          public void save()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.